## GstVaapiParserFrame GstVaapiParserFrame — VA decoder frame |

## Functions

GstVaapiParserFrame * | gst_vaapi_parser_frame_new ()
void | gst_vaapi_parser_frame_free ()
void | gst_vaapi_parser_frame_append_unit ()
#define | gst_vaapi_parser_frame_ref()
#define | gst_vaapi_parser_frame_unref()
#define | gst_vaapi_parser_frame_replace()

## Description

## Functions

### gst_vaapi_parser_frame_new ()

    GstVaapiParserFrame *
    gst_vaapi_parser_frame_new (guint width,
                                guint height);

Creates a new GstVaapiParserFrame object.

#### Parameters

width | frame width in pixels |
height | frame height in pixels |

#### Returns

The newly allocated GstVaapiParserFrame

### gst_vaapi_parser_frame_free ()

    void
    gst_vaapi_parser_frame_free (GstVaapiParserFrame *frame);

Deallocates any internal resources bound to the supplied decoder `frame` .

`note` This is an internal function used to implement lightweight sub-classes.

#### Parameters

frame | a GstVaapiParserFrame |

### gst_vaapi_parser_frame_append_unit ()

    void
    gst_vaapi_parser_frame_append_unit (GstVaapiParserFrame *frame,
                                        GstVaapiDecoderUnit *unit);

Appends unit to the `frame` .

#### Parameters

frame | a GstVaapiParserFrame |
unit | a GstVaapiDecoderUnit |

### gst_vaapi_parser_frame_ref()

    #define             gst_vaapi_parser_frame_ref(frame)

### gst_vaapi_parser_frame_unref()

    #define             gst_vaapi_parser_frame_unref(frame)

### gst_vaapi_parser_frame_replace()

    #define             gst_vaapi_parser_frame_replace(old_frame_p, new_frame)

## Types and Values